---
lang: en
title: 'API docs: context.resolutionerror'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.resolutionerror.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ResolutionError](./context.resolutionerror.md)

## ResolutionError class

Error for context binding resolutions and dependency injections

**Signature:**

```typescript
export declare class ResolutionError extends Error 
```
**Extends:** Error

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(message, resolutionCtx)](./context.resolutionerror._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `ResolutionError` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[resolutionCtx](./context.resolutionerror.resolutionctx.md)


</td><td>

`readonly`


</td><td>

Partial&lt;[ResolutionContext](./context.resolutioncontext.md)<!-- -->&gt;


</td><td>


</td></tr>
</tbody></table>


